%define module   Text-WikiFormat
%define name	perl-%{module}
%define version 0.78
%define release %mkrel 2

Name: 		%{name}
Version: 	%{version}
Release:        %mkrel 2
Summary:	Module for translating Wiki formatted text into other formats
License:	GPL or Artistic
Group:		Development/Perl
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl(URI)
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Text::WikiFormat converts text in a simple Wiki markup language to whatever
your little heart desires, provided you can describe it accurately in a
semi-regular tag language.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Text
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.78-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Sat Apr 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.78-1mdk
- New release 0.78

* Mon Nov 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.77-1mdk
- New release 0.77
- spec cleanup
- don't ship empty directories
- don't need to remove signature check

* Fri Nov 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.76-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 misc@mandriva.org 0.76-1mdk
- First mandriva package
